import random
import sys
t = int(input())
for _ in range(t):
    n = int(input())
    arr = list(map(int,sys.stdin.readline().split()))
    #f = 0
    #for i in range()
    if random.randint(0,2) == 1:print('YES')
    else:print('NO')
